openSUSE Security Update : nagios (nagios-531)

Medium Nessus Plugin ID 40077


The remote openSUSE host is missing a security update.


A CSRF bug in nagios' cmd.cgi (CVE-2008-5028) has been fixed as well as an authentication bypass (CVE-2008-5027).


Update the affected nagios packages.

See Also

Plugin Details

Severity: Medium

ID: 40077

File Name: suse_11_0_nagios-090217.nasl

Version: $Revision: 1.9 $

Type: local

Agent: unix

Published: 2009/07/21

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:nagios, p-cpe:/a:novell:opensuse:nagios-devel, p-cpe:/a:novell:opensuse:nagios-www, cpe:/o:novell:opensuse:11.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/02/17

Reference Information

CVE: CVE-2008-5027, CVE-2008-5028

CWE: 264, 352